Name:    orc
Version: 0.4.32
Release: 2
Summary: The Oil Run-time Compiler
License: BSD
URL:     http://cgit.freedesktop.org/gstreamer/orc/
Source0: http://gstreamer.freedesktop.org/src/orc/%{name}-%{version}.tar.xz

BuildRequires: gtk-doc libtool
BuildRequires: meson >= 0.47.0

%description
Orc is the sucessor to Liboil - The Library of Optimized Inner Loops.
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data.  The "language" is
a generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%package help
Summary: Help documentation for Orc
Requires: %{name} = %{version}-%{release}

%description help
Help documentation for Orc.

%package devel
Summary: Development package for Orc
Requires: %{name} = %{version}-%{release}
Requires: %{name}-compiler pkgconfig

%description devel
Development package for Orc.

%package compiler
Summary: The Orc compiler
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description compiler
The Orc compiler.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -D default_library=shared
%meson_build

%install
%meson_install

%check
%meson_test

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%{_libdir}/liborc-*.so.*
%{_bindir}/orc-bugreport
%doc COPYING README

%files devel
%{_libdir}/liborc-*.so
%{_libdir}/pkgconfig/orc-0.4.pc
%{_libdir}/pkgconfig/orc-test-0.4.pc
%{_datadir}/aclocal/orc.m4
%{_includedir}/%{name}-0.4/
%doc examples/*.c
%exclude %{_libdir}/*.a

%files compiler
%{_bindir}/orcc

%files help
%doc %{_datadir}/gtk-doc/html/orc/

%changelog
* Tue Oct 25 2022 wangjiang <wangjiang37@h-partners.com> 0.4.32-2
- Rebuild for next release

* Thu Jan 28 2021 yuanxin <yuanxin24@huawei.com> - 0.4.32-1
-upgrade version to 0.4.32

* Fri Apr 24 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.4.31-1
- Upgrade version to 0.4.31

* Tue Feb 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.4.28-5
- Enable check on aarch64

* Mon Aug 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.4.28-4
- Package init
